module XeroCLI
  class Credentials
    JSON_FILE = 'xero_credentials.json'.freeze

    def self.set(guid)
      File.open(JSON_FILE, 'w+') do |file|
        file.write({ 'xero_guid' => guid }.to_json)
      end
    end

    def self.read_guid
      file = File.read(JSON_FILE)
      data_hash = JSON.parse(file)
      data_hash['xero_guid']
    rescue StandardError
      'GUID is not set'
    end
  end
end
