module XeroCLI
  class Options
    include XeroCLI::Helper

    attr_reader :options

    def initialize(options)
      @options = options
    end

    %w[help set_guid get_guid show_guid show_accounts to on as from balance spend receive transfer].each do |key|
      define_method(key) { options[key.to_sym] }
    end

    def on
      parse_datetime(options[:on])
    end
  end
end
