module XeroCLI
  module Templates
    class Transaction
      def self.attributes(amount, type, user_name, bank_name, account_code, date)
        {
            date: date,
            type: type,
            is_reconciled: false,
            line_items: {
                description: 'Transaction created manually',
                quantity: 1,
                unit_amount: amount,
                account_code: account_code || XeroCLI::Constants::DEFAULT_CATEGORY_CODE
            },
            contact: {
                name: user_name
            },
            bank_name: bank_name
        }
      end
    end
  end
end
