module XeroCLI
  module Templates
    class Transfer
      def self.attributes(amount, from_bank_name, to_bank_name, date)
        xero_date = date ? date.to_time : Time.now
        {
            date: xero_date.to_i,
            amount: amount,
            from_bank_name: from_bank_name,
            to_bank_name: to_bank_name
        }
      end
    end
  end
end
