module XeroCLI
  class AccountsStorage
    JSON_FILE = 'accounts_storage.json'.freeze

    def self.set(accounts)
      File.open(JSON_FILE, 'w+') do |file|
        file.write(accounts.to_json)
      end
    end

    def self.find_account_code_by_name(name)
      file = File.read(JSON_FILE)
      data_hash = JSON.parse(file)
      data_hash.find { |element| element['name'] == name }['code']
    rescue StandardError
      raise Exception, 'Wrong category name'
    end
  end
end
