class XeroCLI::Commands::Accounts < XeroCLI::Commands::Base
  def initialize(options)
    @show_accounts = options.show_accounts
  end

  def perform
    accounts = get_account(show_accounts == 'ALL' ? nil : show_accounts)
    XeroCLI::AccountsStorage.set(accounts.map(&:to_h))
    ap accounts
  end

  private

  attr_reader :show_accounts

  def get_account(type)
    xero_api.accounts(type)
  end
end
